Bug 328879

Summary: Channel selector missing channels after color transform
Product: krita Reporter: Victor Wren <vwren>
Component: Color modelsAssignee: Krita Bugs <krita-bugs-null>
Status: RESOLVED FIXED    
Severity: normal CC: halla
Priority: NOR    
Version: 2.8 Beta   
Target Milestone: ---   
Platform: unspecified   
OS: Microsoft Windows   
Latest Commit: Version Fixed In:

Description Victor Wren 2013-12-16 20:31:55 UTC
After converting greyscale to RGB image, only 2 of the channels (Red and Green) are available in the Channels tab.

Reproducible: Always

Steps to Reproduce:
1. Open a greyscale image or create a B&W image.
2. Open channels tab and observe available channels (Gray and Alpha).
3. Use "Image/Convert Image Color Space" to convert image to RGB
4. Observe contents of "Channels" tab.


Actual Results:  
Shows only Red and Green selectors in the Channels tab.  Blue and Alpha channels are still available for painting.  They are simply not available in the Channels selector.

Expected Results:  
Should show selectors under the Channels tab for Red, Green, Blue and Alpha.

This appears to be a general problem with image conversion.  Whatever number of channels were allocated when the image was created or loaded will be the number available when the image is converted (example: Converting an RGB image to CMYK shows only the CMY and K channels, with no alpha.  Converting to greyscale correctly reduces the number of channels to Gray and Alpha, but converting back to CMYK still only shows 4 channels.).
Comment 1 Halla Rempt 2013-12-16 20:35:31 UTC
Thanks for the report: I can confirm the issue.
Comment 2 Halla Rempt 2013-12-18 12:43:28 UTC
Git commit a6b160cce861547e750e298a685f6ae08e3d9b7e by Boudewijn Rempt.
Committed on 18/12/2013 at 12:42.
Pushed by rempt into branch 'master'.

M  +4    -0    krita/plugins/extensions/dockers/channeldocker/channeldocker_dock.cpp
M  +7    -1    krita/plugins/extensions/dockers/channeldocker/channelmodel.cpp
M  +3    -0    krita/plugins/extensions/dockers/channeldocker/channelmodel.h

http://commits.kde.org/calligra/a6b160cce861547e750e298a685f6ae08e3d9b7e
Comment 3 Halla Rempt 2013-12-18 12:49:16 UTC
Git commit 676c3c8e0bd3b245b3122eb641ff95e7b2627fa4 by Boudewijn Rempt.
Committed on 18/12/2013 at 12:42.
Pushed by rempt into branch 'calligra/2.8'.

M  +4    -0    krita/plugins/extensions/dockers/channeldocker/channeldocker_dock.cpp
M  +7    -1    krita/plugins/extensions/dockers/channeldocker/channelmodel.cpp
M  +3    -0    krita/plugins/extensions/dockers/channeldocker/channelmodel.h

http://commits.kde.org/calligra/676c3c8e0bd3b245b3122eb641ff95e7b2627fa4